#!c:/perl/bin/perl.exe
use warnings;
use strict;
use diagnostics;

## Simple print statements
print "This is some text\n";

print "I can however ","print more than one scalar ", "in the same statement\n\n";


## "length" returns the length of a scalar
my $length = length("abcde");
print $length, "\n\n"; 	# prints 5



## "uc" and "lc" convert a string to upper/lower case
my $mixed = "cASe is ALL oVeR The PlaCE\n";
print lc($mixed); # All lower case, but $mixed unchanged

$mixed = uc($mixed);
print $mixed;  # All upper case


## Reverse reverses a string
my $string = "\n?siht daer uoy nac";
my $reversed = reverse $string;
print $reversed;


## Substr extracts and optionally replaces substrings
my $original = "hippopotamus";
	
print substr($original,0,5),"\n"; # hippo

print substr($original,-3,3),"\n"; # mus

substr($original,5,4,"jelly");
print $original,"\n";  # hippojellymus



